| Kea 3.0.2-git

base_host_data_source.h File Reference
`#include <asiolink/io_address.h>`
`#include <database/database_connection.h>`
`#include <dhcpsrv/host.h>`
`#include <exceptions/exceptions.h>`
`#include <boost/shared_ptr.hpp>`
`#include <limits>`
`#include <vector>`
Include dependency graph for base_host_data_source.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::BadHostAddress
| Exception thrown when invalid IP address has been specified for `Host`. More...
class | isc::dhcp::BaseHostDataSource
| Base interface for the classes implementing simple data source for host reservations. More...
class | isc::dhcp::DuplicateHost
| Exception thrown when the duplicate `Host` object is detected. More...
class | isc::dhcp::HostNotFound
| Exception thrown when a `Host` object is expected, but none are found. More...
class | isc::dhcp::HostPageSize
| Wraps value holding size of the page with host reservations. More...
class | isc::dhcp::ReservedAddress
| Exception thrown when an address is already reserved by a `Host` object (DuplicateHost is same identity, ReservedAddress same address). More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef std::vector< HostDataSourcePtr > | isc::dhcp::HostDataSourceList
| HostDataSource list.
typedef boost::shared_ptr< BaseHostDataSource > | isc::dhcp::HostDataSourcePtr
| HostDataSource pointer.